Subject: Final proposal for aging-out I-D tombstone files

From: IETF Chair <[email-masked]>
Date: Mon, 06 Jun 2005 03:42:04 -0400

Internet-Draft tombstones are dummy files that replace
an I-D when it expires. For drafts published as RFCs, they
are a permanent historical record. For other drafts, there
are about 10000 of these small files, which are viewed by 
some people as useful information, and by others as a nuisance. 

The attached message led to comments from about 30 people.
As I read the responses that have reached me by various
channels, there are approximately equal numbers of people
pleading to keep tombstones, to eliminate them, and to do
something in between.

Reading these responses, it's clear that there is a real need
to be able to find out what happened to old drafts. However, that
has been possible for some time using the I-D database:
https://datatracker.ietf.org/public/idindex.cgi?command=search_id
It knows about drafts back to 1992 or so, and can give basic information
about most of them. Thus, the informational role of the tombstone
files is no longer needed.

However, some people do believe that having these files present
for some time after a draft expires is useful (e.g. for certain
types of automated processing).

One person summed up the objections to tombstone files as a
pollution of mirror directories:

> Out of a total of 12994 files, I see 1886 currently useful files.

I therefore propose to ask the Secretariat to delete all
tombstones (except those for drafts that became RFCs) over 6 months
old, and to delete all future tombstones (except those for drafts
that become RFCs) when they reach 6 months old. 

This is a final call for comments; please reply to me (or to [email-masked]
if you want public discussion of your comment). I plan to ask the Secretariat
to implement the new procedure a week from now.

   Brian Carpenter
   IETF Chair

P.S. To those who have asked for expired I-Ds to be archived and visible,
I have to quote RFC 2026:

   An Internet-Draft that is published as an RFC, or that has remained
   unchanged in the Internet-Drafts directory for more than six months
   without being recommended by the IESG for publication as an RFC, is
   simply removed from the Internet-Drafts directory.

This has always been taken to mean that the standards process
*requires* old I-Ds to be removed from public view on the IETF's
servers. Nevertheless, the IETF Tools team is looking at this problem.

     Brian

-------- Original Message --------
Subject: Proposed Elimination of Tombstone Files
Date: Tue, 17 May 2005 16:24:02 -0400
From: IETF Secretariat <[email-masked]>
To: IETF Announcement list <[email-masked]>
CC: [email-masked], [email-masked]

The IETF Chair is considering a proposal to eliminate tombstone
files for Internet-Drafts that have expired, or that have been
withdrawn or replaced.  If the proposal is approved, then
tombstones would no longer be created for such documents,
and existing tombstones would be deleted from the Internet-Drafts
directory.  Please note that this proposal would *not* apply to
tombstones that are created for Internet-Drafts when they are
published as RFCs.

Before proceeding, the IETF Chair would like to determine if
tombstones continue to be of value to the community, and if
there is a compelling reason to retain them.  If you have an
opinion on this issue and wish to contribute to the discussion,
then please send your comments to [email-masked] by
5:00 P.M. ET on Tuesday, May 31, 2005.

The IETF Secretariat

_______________________________________________
IETF-Announce mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf-announce